local gr = love.graphics
local girl	= {
		image	= {gr.newImage('runningGirl.png'),gr.newImage('runningGirlOutlined.png')},
		quad	= {},
		sx		= 125,	-- figure spacing (in x & y directions)
		sy		= 125,
		nx		= 4,		-- number of figures (in x & y directions)
		ny		= 4,
		ox		= 30,		-- offset of 1st image (x & y )
		oy		= 3,
		w		= 70,		-- size of figures (width & height)
		h		= 115,
		cur	= 1,		-- sprite to show
		tick	= 0,		-- timing for changing sprite (cur time & how long for display)
		dwell	= 0.4,
		dr		= -1,
		sz		= 1,
		x		= 35,		-- location on screen
		y		= 200,
		dwell = 0.04,
		tick	= 0,
		im		= 1,		-- (1)sprite or (2)outline
		step	= 4,
		mx		= gr.getWidth(),
		mn		= 0
		}

	girl.update = function( tk )
			girl.tick = girl.tick + tk
			if girl.tick	>= girl.dwell then
				girl.tick	= 0
				girl.cur		= girl.cur < #girl.quad and girl.cur + 1 or 1
				girl.x		= girl.x-girl.step*girl.sz*girl.dr
				if girl.x > girl.mx-girl.sz*girl.w/2 or girl.x < girl.dr*girl.sz*girl.w/2+girl.mn then
					girl.dr	= -girl.dr
					end
				end
			end

	girl.draw = function( num )	-- image to draw (1 or 2)
			gr.draw( girl.image[num], girl.quad[girl.cur], girl.x,girl.y,0,girl.dr*girl.sz,girl.sz,girl.w/2,girl.h/2)
			end

	girl.width	= girl.image[1]:getWidth()		-- spritesheet dimentions
	girl.height = girl.image[1]:getHeight()
	for j = 0, girl.ny-1 do
		for i = 0, girl.nx-1 do
			girl.quad[#girl.quad+1] = gr.newQuad( girl.ox+i*girl.sx, girl.oy+j*girl.sy,girl.w,girl.h,girl.width,girl.height)
			end
		end

return girl